import {request} from "../utils/request";


/**********************************************劳务薪酬******************************************/


/**
 * 查看报表详情
 * @author Xyz
 */
export function enterpriseSalaryComReportReportInfo(data) {
  return request("/enterprise/salary/com-report/report-info", {
    method: "POST",
    data
  });
}

/**
 * 根据报表id获得报表表头
 * @author Xyz
 */
export function enterpriseSalaryComReportReportDetail(data) {
  return request("/enterprise/salary/com-report/report-detail", {
    method: "POST",
    data
  });
}

/**
 * 修改单条报表数据中的单项
 * @author Xyz
 */
export function enterpriseSalaryComReportUpdateReportInfo(data) {
  return request("/enterprise/salary/com-report/update-report-info", {
    method: "POST",
    data
  });
}

/**
 * 获得实发工资总额
 * @author Xyz
 */
export function enterpriseSalaryComReportSumActualWage(data) {
  return request("/enterprise/salary/com-report/sum-actual-wage", {
    method: "POST",
    data
  });
}


/**
 * 修改报表
 * @author Xyz
 */
export function enterpriseSalaryComReportUpdateCompanyReport(data) {
  return request("/enterprise/salary/com-report/update-company-report", {
    method: "POST",
    data
  });
}



/**
 * 根据报表id获得报表设置
 * @author Xyz
 */
export function enterpriseSalaryComReportReport(data) {
  return request("/enterprise/salary/com-report/report", {
    method: "POST",
    data
  });
}
